<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: BFAppLinkReturnToRefererController.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_81e630f80dfe391b8563c60e022e9d38.html">Facebook</a></li><li class="navelem"><a class="el" href="dir_2061fde5a20814278b3c1da59a30a2ad.html">Bolts.framework</a></li><li class="navelem"><a class="el" href="dir_835599b06ea07b5667caf7ee0311c127.html">Headers</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">BFAppLinkReturnToRefererController.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> *  Copyright (c) 2014, Facebook, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *  All rights reserved.</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *  This source code is licensed under the BSD-style license found in the</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> *  LICENSE file in the root directory of this source tree. An additional grant</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *  of patent rights can be found in the PATENTS file in the same directory.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160; </div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#import &lt;Bolts/BFAppLinkReturnToRefererView.h&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_b_f_app_link.html">BFAppLink</a>;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">@class</span> <a class="code" href="interface_b_f_app_link_return_to_referer_controller.html">BFAppLinkReturnToRefererController</a>;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="protocol_b_f_app_link_return_to_referer_controller_delegate-p.html">   23</a></span>&#160;<span class="keyword">@protocol </span><a class="code" href="protocol_b_f_app_link_return_to_referer_controller_delegate-p.html">BFAppLinkReturnToRefererControllerDelegate</a> &lt;NSObject&gt;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">@optional</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160; </div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;- (void)returnToRefererController:(<a class="code" href="interface_b_f_app_link_return_to_referer_controller.html">BFAppLinkReturnToRefererController</a> *)controller</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;            willNavigateToAppLink:(<a class="code" href="interface_b_f_app_link.html">BFAppLink</a> *)appLink;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;- (void)returnToRefererController:(<a class="code" href="interface_b_f_app_link_return_to_referer_controller.html">BFAppLinkReturnToRefererController</a> *)controller</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;             didNavigateToAppLink:(<a class="code" href="interface_b_f_app_link.html">BFAppLink</a> *)url</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;                             type:(BFAppLinkNavigationType)type;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">@end</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160; </div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="interface_b_f_app_link_return_to_referer_controller.html">   43</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_b_f_app_link_return_to_referer_controller.html">BFAppLinkReturnToRefererController</a> : NSObject &lt;<a class="code" href="protocol_b_f_app_link_return_to_referer_view_delegate-p.html">BFAppLinkReturnToRefererViewDelegate</a>&gt;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160; </div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="interface_b_f_app_link_return_to_referer_controller.html#a314cd7219fab9e64981a67e3bf99c6d6">   48</a></span>&#160;<span class="keyword">@property</span> (nonatomic, weak) id&lt;BFAppLinkReturnToRefererControllerDelegate&gt; <a class="code" href="interface_b_f_app_link_return_to_referer_controller.html#a314cd7219fab9e64981a67e3bf99c6d6">delegate</a>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div><div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="interface_b_f_app_link_return_to_referer_controller.html#af28b223c0c9a782847fdf45e934a2009">   53</a></span>&#160;<span class="keyword">@property</span> (nonatomic, strong) <a class="code" href="interface_b_f_app_link_return_to_referer_view.html">BFAppLinkReturnToRefererView</a> *<a class="code" href="interface_b_f_app_link_return_to_referer_controller.html#af28b223c0c9a782847fdf45e934a2009">view</a>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;- (instancetype)<a class="code" href="interface_b_f_app_link_return_to_referer_controller.html#aad7c9269c66d2eebf43f7f0902637aef">init</a>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;- (instancetype)initForDisplayAboveNavController:(UINavigationController *)navController;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160; </div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;- (void)<a class="code" href="interface_b_f_app_link_return_to_referer_controller.html#a58def555983b403482863d69e5787723">removeFromNavController</a>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;- (void)showViewForRefererAppLink:(<a class="code" href="interface_b_f_app_link.html">BFAppLink</a> *)refererAppLink;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160; </div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;- (void)showViewForRefererURL:(NSURL *)url;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160; </div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;- (void)closeViewAnimated:(BOOL)animated;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160; </div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="keyword">@end</span></div></div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="ainterface_b_f_app_link_return_to_referer_controller_html_a314cd7219fab9e64981a67e3bf99c6d6"><div class="ttname"><a href="interface_b_f_app_link_return_to_referer_controller.html#a314cd7219fab9e64981a67e3bf99c6d6">BFAppLinkReturnToRefererController::delegate</a></div><div class="ttdeci">id&lt; BFAppLinkReturnToRefererControllerDelegate &gt; delegate</div><div class="ttdef"><b>Definition:</b> BFAppLinkReturnToRefererController.h:48</div></div>
<div class="ttc" id="aprotocol_b_f_app_link_return_to_referer_controller_delegate-p_html"><div class="ttname"><a href="protocol_b_f_app_link_return_to_referer_controller_delegate-p.html">BFAppLinkReturnToRefererControllerDelegate-p</a></div><div class="ttdef"><b>Definition:</b> BFAppLinkReturnToRefererController.h:23</div></div>
<div class="ttc" id="ainterface_b_f_app_link_html"><div class="ttname"><a href="interface_b_f_app_link.html">BFAppLink</a></div><div class="ttdef"><b>Definition:</b> BFAppLink.h:20</div></div>
<div class="ttc" id="ainterface_b_f_app_link_return_to_referer_controller_html_aad7c9269c66d2eebf43f7f0902637aef"><div class="ttname"><a href="interface_b_f_app_link_return_to_referer_controller.html#aad7c9269c66d2eebf43f7f0902637aef">-[BFAppLinkReturnToRefererController init]</a></div><div class="ttdeci">instancetype init()</div></div>
<div class="ttc" id="ainterface_b_f_app_link_return_to_referer_controller_html"><div class="ttname"><a href="interface_b_f_app_link_return_to_referer_controller.html">BFAppLinkReturnToRefererController</a></div><div class="ttdef"><b>Definition:</b> BFAppLinkReturnToRefererController.h:43</div></div>
<div class="ttc" id="ainterface_b_f_app_link_return_to_referer_controller_html_a58def555983b403482863d69e5787723"><div class="ttname"><a href="interface_b_f_app_link_return_to_referer_controller.html#a58def555983b403482863d69e5787723">-[BFAppLinkReturnToRefererController removeFromNavController]</a></div><div class="ttdeci">void removeFromNavController()</div></div>
<div class="ttc" id="ainterface_b_f_app_link_return_to_referer_view_html"><div class="ttname"><a href="interface_b_f_app_link_return_to_referer_view.html">BFAppLinkReturnToRefererView</a></div><div class="ttdef"><b>Definition:</b> BFAppLinkReturnToRefererView.h:51</div></div>
<div class="ttc" id="aprotocol_b_f_app_link_return_to_referer_view_delegate-p_html"><div class="ttname"><a href="protocol_b_f_app_link_return_to_referer_view_delegate-p.html">BFAppLinkReturnToRefererViewDelegate-p</a></div><div class="ttdef"><b>Definition:</b> BFAppLinkReturnToRefererView.h:29</div></div>
<div class="ttc" id="ainterface_b_f_app_link_return_to_referer_controller_html_af28b223c0c9a782847fdf45e934a2009"><div class="ttname"><a href="interface_b_f_app_link_return_to_referer_controller.html#af28b223c0c9a782847fdf45e934a2009">BFAppLinkReturnToRefererController::view</a></div><div class="ttdeci">BFAppLinkReturnToRefererView * view</div><div class="ttdef"><b>Definition:</b> BFAppLinkReturnToRefererController.h:53</div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
